]> err.no Git - util-linux/commitdiff
fsck.minix: add regression test
authorKarel Zak <kzak@redhat.com>
Thu, 5 Feb 2009 15:41:41 +0000 (15:41 +0000)
committerKarel Zak <kzak@redhat.com>
Thu, 5 Feb 2009 15:47:09 +0000 (15:47 +0000)
Signed-off-by: Karel Zak <kzak@redhat.com>
tests/Makefile.am
tests/commands.sh.in
tests/expected/ts-minix-fsck [new file with mode: 0644]
tests/ts-minix-fsck [new file with mode: 0755]
tests/ts-minix-mkfs

index 5d2ed259848fc2f8490c427b6d50762ae6cdd0c9..17ee6afc9b92dec0fb30718737419901fe91297c 100644 (file)
@@ -45,6 +45,7 @@ EXTRA_DIST =  expected \
                ts-lscpu-x86_64-ibme326m \
                ts-lscpu-x86_64-necem14 \
                ts-lscpu-x86_64-xenfull \
+               ts-minix-fsck \
                ts-minix-mkfs \
                ts-mount-devname \
                ts-mount-label \
index f76208e76bd1f0018c6f7b7f4ea7827c1f72ec03..58401cabe266aaaab5ed66b0c3716179013f37b2 100644 (file)
@@ -29,6 +29,7 @@ TS_CMD_MKSWAP=${TS_CMD_MKSWAP:-"$TOPDIR/disk-utils/mkswap"}
 TS_CMD_MKCRAMFS=${TS_CMD_MKCRAMFS:-"$TOPDIR/disk-utils/mkfs.cramfs"}
 TS_CMD_MKMINIX=${TS_CMD_MKMINIX:-"$TOPDIR/disk-utils/mkfs.minix"}
 TS_CMD_FSCKCRAMFS=${TS_CMD_FSCKCRAMFS:-"$TOPDIR/disk-utils/fsck.cramfs"}
+TS_CMD_FSCKMINIX=${TS_CMD_FSCKMINIX:-"$TOPDIR/disk-utils/fsck.minix"}
 
 TS_CMD_IPCS=${TS_CMD_IPCS:-"$TOPDIR/sys-utils/ipcs"}
 
diff --git a/tests/expected/ts-minix-fsck b/tests/expected/ts-minix-fsck
new file mode 100644 (file)
index 0000000..84de725
--- /dev/null
@@ -0,0 +1,8 @@
+create minix fs
+1728 inodes
+5120 blocks
+Firstdatazone=58 (58)
+Zonesize=1024
+Maxsize=268966912
+
+fsck minix fs
diff --git a/tests/ts-minix-fsck b/tests/ts-minix-fsck
new file mode 100755 (executable)
index 0000000..c58ed32
--- /dev/null
@@ -0,0 +1,39 @@
+#!/bin/bash
+#
+# Copyright (C) 2009 Karel Zak <kzak@redhat.com>
+#
+# This file is part of util-linux-ng.
+#
+# This file is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This file is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+. ./commands.sh
+. ./functions.sh
+
+TS_COMPONENT="minix"
+TS_DESC="fsck"
+
+ts_init "$*"
+ts_skip_nonroot
+
+set -o pipefail
+
+IMAGE="$TS_OUTDIR/minix-loop.img"
+DEVICE=$(ts_device_init)
+
+ts_log "create minix fs"
+$TS_CMD_MKMINIX $DEVICE 2>&1 >> $TS_OUTPUT
+
+ts_log "fsck minix fs"
+$TS_CMD_FSCKMINIX $DEVICE 2>&1 >> $TS_OUTPUT
+
+ts_device_deinit $DEVICE
+ts_finalize
+
index fa0ce4b9439b4d3c9955d83058347c60eedd9236..7a2f2341323cee757a55e624b2d105ab17597439 100755 (executable)
@@ -17,7 +17,7 @@
 . ./commands.sh
 . ./functions.sh
 
-TS_COMPONENT="mkfs.minix"
+TS_COMPONENT="minix"
 TS_DESC="mkfs"
 
 ts_init "$*"